#!/usr/local/bin/perl

################################################################################
# 
#                    NEC CORPORATION PROPRIETARY INFORMATION
#        This software is supplied under the terms of a license agreement or
#        nondisclosure agreement with NEC Corporation and may not be copied
#        or disclosed except in accordance with the terms of that agreement.
#          Copyright (c) 2015 NEC Corporation. All Rights Reserved.
# 
################################################################################

use ServerProfile;

my $xml;
my $ret;

# 接続設定
# 接続先：172.16.200.2
# ユーザ：Administrator
# パスワード：Administrator
# SSL接続：有効
# SSL証明書チェック：有効
# 証明書チェック用認証局設定：有効
$server = ServerProfile->new( host   => '172.16.200.2' ,
                       username      => 'Administrator' ,
                       password      => 'Administrator' ,
                       ssl           => 1 ,
                       skipcertcheck => 0 ,
                       certfile      => 'ca.pem' );

# 設定を行う
( $ret , $xml ) = $server->setServerProfile( 'set.xml' );
if ( $ret == 0 ) {
    print $xml;
}

$ret = -$ret;

exit $ret;

