#!/usr/local/bin/perl

################################################################################
# 
#                    NEC CORPORATION PROPRIETARY INFORMATION
#        This software is supplied under the terms of a license agreement or
#        nondisclosure agreement with NEC Corporation and may not be copied
#        or disclosed except in accordance with the terms of that agreement.
#          Copyright (c) 2015 NEC Corporation. All Rights Reserved.
# 
################################################################################

use ServerProfile;

my $json;
my $ret;

# 接続設定
# 接続先：172.16.200.2
# ユーザ：Administrator
# パスワード：Administrator
# SSL接続：無効
$server = ServerProfile->new( host   => '172.16.200.2',
                       username      => 'Administrator' ,
                       password      => 'Administrator' ,
                       ssl           => 0,
                       skipcertcheck => 0,
                       certfile      => '' );

# 設定を取得（表示のみ）
( $ret , $json ) = $server->getBmcProfile('basic');

if ($ret != 0){
	print "Failed to get json. ( $ret )\n";
	$ret = -$ret;
	exit $ret;
}
print "JSON : \n";
print $json;
print "\n";

# 設定を取得（ファイルに書き出し）
( $ret , $json ) = $server->getBmcProfile('network' , 'network.json');

if ($ret != 0){
	print "Failed to get json. ( $ret )\n";
	$ret = -$ret;
	exit $ret;
}
print "JSON : \n";
print $json;
print "\n";

$ret = -$ret;

exit $ret;

