#!/usr/local/bin/perl

################################################################################
# 
#                    NEC CORPORATION PROPRIETARY INFORMATION
#        This software is supplied under the terms of a license agreement or
#        nondisclosure agreement with NEC Corporation and may not be copied
#        or disclosed except in accordance with the terms of that agreement.
#          Copyright (c) 2015 NEC Corporation. All Rights Reserved.
# 
################################################################################

use ServerProfile;

my $xml;
my $ret;

# 接続設定
# 接続先：172.16.200.2
# ユーザ：Administrator
# パスワード：Administrator
# SSL接続：有効
# SSL証明書チェック：無効
# 証明書チェック用認証局設定：無効
$server = ServerProfile->new( host   => '172.16.200.2',
                       username      => 'Administrator' ,
                       password      => 'Administrator' ,
                       ssl           => 1 ,
                       skipcertcheck => 1 ,
                       certfile      => '' );

# 設定を取得（ファイル書き出し無し）
( $ret , $xml ) = $server->getServerProfile();
$ret = -$ret;
if ( $ret == 0 ) {
    print $xml;
} else {
	exit $ret;
}

# 設定を取得（ファイル書き出しあり）
( $ret , $xml ) = $server->getServerProfile('get.xml');
$ret = -$ret;
if ( $ret == 0 ) {
    print $xml;
}

exit $ret;

